Update Loan
curl --request PUT \
--url https://los.universal.rollout.com/api/loans/{id} \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"assignedUserId": "<string>",
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"interestRate": 123,
"loanToValue": 123,
"amount": 123,
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"term": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/loans/{id}"
payload = {
"type": "<string>",
"assignedUserId": "<string>",
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"interestRate": 123,
"loanToValue": 123,
"amount": 123,
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": True,
"pmiRequired": True,
"pmiRate": 123
},
"term": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
assignedUserId: '<string>',
statusDate: '<string>',
applicationDate: '<string>',
closingDate: '<string>',
fundingDate: '<string>',
interestRate: 123,
loanToValue: 123,
amount: 123,
rateAndTerms: {monthlyPayment: 123, escrowIncluded: true, pmiRequired: true, pmiRate: 123},
term: 123,
purpose: '<string>',
stage: '<string>',
status: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/loans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"interestRate": 123,
"amount": 123,
"term": 123,
"loanToValue": 123,
"type": "<string>",
"purpose": "<string>",
"status": "<string>",
"statusDate": "<string>",
"applicationDate": "<string>",
"closingDate": "<string>",
"fundingDate": "<string>",
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"userParticipantIds": [
"<string>"
],
"borrowerParticipantIds": [
"<string>"
],
"stage": "<string>",
"stageHistory": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"scheduledStartDate": "2023-11-07T05:31:56Z",
"actualStartDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"plannedDurationDays": 123,
"actualDurationDays": 123,
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
},
"requiresReview": true,
"isReviewed": true,
"order": 123,
"isRequired": true,
"notes": "<string>",
"metadata": null
}
],
"loanFolder": "<string>",
"archived": true,
"rolloutUpdated": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Loans
Update Loan
PUT /loans/
PUT
/
loans
/
{id}
Update Loan
PUT /loans/{id}
Base URL: https://los.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/los.json PUT /loans/{id}Path Parameters
Body
application/jsonmultipart/form-datatext/plain
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I